Package com.scriptel.proscript

## Class ScreenModify

- java.lang.Object
- - com.scriptel.proscript.ScreenModify

-     public class ScreenModify
      extends java.lang.Object

  This class is used to perform modifications to screens without the overhead of entirely reconfiguring screens.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScreenModify()` | No arguments constructor, creates a default screen modify message which does nothing.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getRegionIndex()` | Gets the Region index to add or remove.
    `int` | `getRegionScreenNext()` | Gets the Screen the Device will switch to when a user interacts with this region.
    `int[]` | `getReserved()` | Get the reserved values, these will be used at a later date.
    `int` | `getScreenIndex()` | Gets the Screen index to edit.
    `int` | `getTimeoutScreenNext()` | Gets the Screen number the Device switches to when this Screen times out.
    `int` | `getTimeoutValue()` | Gets the timeout value the Screen will be set to in seconds.
    `boolean` | `isAddRegion()` | Gets whether or not this ScreenModify is supposed to add a region.
    `boolean` | `isRemoveRegion()` | Gets whether or not this ScreenModify is supposed to remove a region.
    `boolean` | `isSetTimeout()` | Gets whether or not this ScreenModify is supposed to set a timeout.
    `void` | `setAddRegion​(boolean addRegion)` | Sets whether or not this ScreenModify is supposed to add a region.
    `void` | `setRegionIndex​(int regionIndex)` | Sets the Region index to add or remove.
    `void` | `setRegionScreenNext​(int regionScreenNext)` | Sets the Screen the Device will switch to when a user interacts with this region.
    `void` | `setRemoveRegion​(boolean removeRegion)` | Sets whether or not this ScreenModify is supposed to remove a region.
    `void` | `setScreenIndex​(int screenIndex)` | Sets the Screen index to edit.
    `void` | `setSetTimeout​(boolean setTimeout)` | Sets whether or not this ScreenModify is supposed to set a timeout.
    `void` | `setTimeoutScreenNext​(int timeoutScreenNext)` | Sets the Screen number the Device switches to when this Screen times out.
    `void` | `setTimeoutValue​(int timeoutValue)` | Sets the timeout value the Screen will be set to in seconds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScreenModify

          public ScreenModify()

      No arguments constructor, creates a default screen modify message which does nothing.

  - ### Method Detail

    - #### getReserved

          public int[] getReserved()

      Get the reserved values, these will be used at a later date.
      Returns:
        reserved values

    - #### isAddRegion

          public boolean isAddRegion()

      Gets whether or not this ScreenModify is supposed to add a region.
      Returns:
        add Region

    - #### setAddRegion

          public void setAddRegion​(boolean addRegion)

      Sets whether or not this ScreenModify is supposed to add a region.
      Parameters:
        `addRegion` - add Region

    - #### isRemoveRegion

          public boolean isRemoveRegion()

      Gets whether or not this ScreenModify is supposed to remove a region.
      Returns:
        remove Region

    - #### setRemoveRegion

          public void setRemoveRegion​(boolean removeRegion)

      Sets whether or not this ScreenModify is supposed to remove a region.
      Parameters:
        `removeRegion` - remove Region

    - #### isSetTimeout

          public boolean isSetTimeout()

      Gets whether or not this ScreenModify is supposed to set a timeout.
      Returns:
        set timeout

    - #### setSetTimeout

          public void setSetTimeout​(boolean setTimeout)

      Sets whether or not this ScreenModify is supposed to set a timeout.
      Parameters:
        `setTimeout` - set timeout

    - #### getScreenIndex

          public int getScreenIndex()

      Gets the Screen index to edit.
      Returns:
        screen index

    - #### setScreenIndex

          public void setScreenIndex​(int screenIndex)

      Sets the Screen index to edit.
      Parameters:
        `screenIndex` - screen index

    - #### getRegionIndex

          public int getRegionIndex()

      Gets the Region index to add or remove.
      Returns:
        region index

    - #### setRegionIndex

          public void setRegionIndex​(int regionIndex)

      Sets the Region index to add or remove.
      Parameters:
        `regionIndex` - region index

    - #### getRegionScreenNext

          public int getRegionScreenNext()

      Gets the Screen the Device will switch to when a user interacts with this region.
      Returns:
        region screen next

    - #### setRegionScreenNext

          public void setRegionScreenNext​(int regionScreenNext)

      Sets the Screen the Device will switch to when a user interacts with this region.
      Parameters:
        `regionScreenNext` - region screen next

    - #### getTimeoutValue

          public int getTimeoutValue()

      Gets the timeout value the Screen will be set to in seconds.
      Returns:
        timeout value

    - #### setTimeoutValue

          public void setTimeoutValue​(int timeoutValue)

      Sets the timeout value the Screen will be set to in seconds.
      Parameters:
        `timeoutValue` - timeout value

    - #### getTimeoutScreenNext

          public int getTimeoutScreenNext()

      Gets the Screen number the Device switches to when this Screen times out.
      Returns:
        timeout next screen

    - #### setTimeoutScreenNext

          public void setTimeoutScreenNext​(int timeoutScreenNext)

      Sets the Screen number the Device switches to when this Screen times out.
      Parameters:
        `timeoutScreenNext` - timeout next screen